summaryrefslogtreecommitdiff
path: root/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/perf/tests/shell/test_uprobe_from_different_cu.sh')
-rwxr-xr-xtools/perf/tests/shell/test_uprobe_from_different_cu.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
index 82bc774a078a..33387c329f92 100755
--- a/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
+++ b/tools/perf/tests/shell/test_uprobe_from_different_cu.sh
@@ -4,6 +4,13 @@
set -e
+# Skip if there's no probe command.
+if ! perf | grep probe
+then
+ echo "Skip: probe command isn't present"
+ exit 2
+fi
+
# skip if there's no gcc
if ! [ -x "$(command -v gcc)" ]; then
echo "failed: no gcc compiler"